#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: idris
version: 1.3.0
id: idris-1.3.0-934UGRHoxOD5mTqRmeXQX3
key: idris-1.3.0-934UGRHoxOD5mTqRmeXQX3
license: BSD-3-Clause
maintainer: Edwin Brady <eb@cs.st-andrews.ac.uk>
author: Edwin Brady
stability: Beta
homepage: http://www.idris-lang.org/
synopsis: Functional Programming Language with Dependent Types
description:
    Idris is a general purpose language with full dependent types.
    It is compiled, with eager evaluation.
    Dependent types allow types to be predicated on values,
    meaning that some aspects of a program'\''s behaviour can be
    specified precisely in the type. The language is closely
    related to Epigram and Agda. There is a tutorial at
    <http://www.idris-lang.org/documentation>.
    Features include:
    .
    * Full, first class, dependent types with dependent pattern matching
    .
    * where clauses, with rule, case expressions,
    pattern matching let and lambda bindings
    .
    * Interfaces (similar to type classes), monad comprehensions
    .
    * do notation, idiom brackets, syntactic conveniences for lists,
    tuples, dependent pairs
    .
    * Totality checking
    .
    * Coinductive types
    .
    * Indentation significant syntax, extensible syntax
    .
    * Cumulative universes
    .
    * Simple foreign function interface (to C)
    .
    * Hugs style interactive environment
category: Compilers/Interpreters, Dependent Types
abi: cfcbea6abd208dc254191af9555521e2
exposed: True
exposed-modules:
    IRTS.Bytecode IRTS.CodegenC IRTS.CodegenCommon
    IRTS.CodegenJavaScript IRTS.Compiler IRTS.Defunctionalise
    IRTS.DumpBC IRTS.Exports IRTS.Inliner IRTS.JavaScript.AST
    IRTS.JavaScript.Codegen IRTS.JavaScript.LangTransforms
    IRTS.JavaScript.Name IRTS.JavaScript.PrimOp
    IRTS.JavaScript.Specialize IRTS.Lang IRTS.LangOpts IRTS.Portable
    IRTS.Simplified IRTS.System Idris.ASTUtils Idris.AbsSyntax
    Idris.AbsSyntaxTree Idris.Apropos Idris.CaseSplit Idris.Chaser
    Idris.CmdOptions Idris.Colours Idris.Completion Idris.Core.Binary
    Idris.Core.CaseTree Idris.Core.Constraints Idris.Core.DeepSeq
    Idris.Core.Elaborate Idris.Core.Evaluate Idris.Core.Execute
    Idris.Core.ProofState Idris.Core.ProofTerm Idris.Core.TT
    Idris.Core.Typecheck Idris.Core.Unify Idris.Core.WHNF
    Idris.Coverage Idris.DSL Idris.DataOpts Idris.DeepSeq
    Idris.Delaborate Idris.Directives Idris.Docs Idris.Docstrings
    Idris.Elab.AsPat Idris.Elab.Clause Idris.Elab.Data
    Idris.Elab.Implementation Idris.Elab.Interface Idris.Elab.Provider
    Idris.Elab.Quasiquote Idris.Elab.Record Idris.Elab.Rewrite
    Idris.Elab.RunElab Idris.Elab.Term Idris.Elab.Transform
    Idris.Elab.Type Idris.Elab.Utils Idris.Elab.Value Idris.ElabDecls
    Idris.Erasure Idris.ErrReverse Idris.Error Idris.Help Idris.IBC
    Idris.IdeMode Idris.IdrisDoc Idris.Imports Idris.Info
    Idris.Info.Show Idris.Inliner Idris.Interactive Idris.Main
    Idris.ModeCommon Idris.Options Idris.Output Idris.Package
    Idris.Package.Common Idris.Package.Parser Idris.Parser
    Idris.Parser.Data Idris.Parser.Expr Idris.Parser.Helpers
    Idris.Parser.Ops Idris.Parser.Stack Idris.PartialEval
    Idris.Primitives Idris.ProofSearch Idris.Prover Idris.Providers
    Idris.REPL Idris.REPL.Browse Idris.REPL.Commands Idris.REPL.Parser
    Idris.Reflection Idris.Termination Idris.Transforms
    Idris.TypeSearch Idris.Unlit Idris.WhoCalls Util.DynamicLinker
    Util.ScreenSize Util.System
hidden-modules: Util.Pretty Util.Net Paths_idris Version_idris
                Tools_idris BuildFlags_idris
import-dirs: /usr/lib/ghc-8.4.3/site-local/idris-1.3.0
library-dirs: /usr/lib/ghc-8.4.3/site-local/idris-1.3.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/idris
hs-libraries: HSidris-1.3.0-934UGRHoxOD5mTqRmeXQX3
extra-libraries:
    gmp
depends:
    base-4.11.1.0 aeson-1.4.0.0-LGp6kTtgO3W1vagljwPVLq
    annotated-wl-pprint-0.7.0-5EJhaPPvnKODWMqVOHKqvI
    ansi-terminal-0.8.0.4-Ll5nsATqQAoCUSOmfm7Ux8
    ansi-wl-pprint-0.6.8.2-7B8xc0qlXvTAz6Bn23TdpB array-0.5.2.0
    base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37 binary-0.8.5.1
    blaze-html-0.9.1.1-FmfwpzpXQsq7GmIv8JjDhb
    blaze-markup-0.8.2.1-FFkiru1HsegAfMrnqJMDug bytestring-0.10.8.2
    cheapskate-0.1.1-FWpt5ge3rjZ6aYhHGe8l3T
    code-page-0.1.3-78bf3rlibAi1l7KbTfbq3V containers-0.5.11.0
    deepseq-1.4.3.0 directory-1.3.1.5 filepath-1.4.2
    fingertree-0.1.4.1-Iq4vkV46zPJAkKpg70fgU4 haskeline-0.7.4.2
    ieee754-0.8.0-KmEF4YGiqmIDu40b1SLx46
    megaparsec-6.5.0-4fb3qBlRsMw28WLKMZ44M9 mtl-2.2.2
    network-2.7.0.2-Epka4Y5CXXTKVbAZSchnya
    optparse-applicative-0.14.2.0-HP9LUm9H1yn1LWZqqMzXaQ pretty-1.1.3.6
    process-1.6.3.0 regex-tdfa-1.2.3.1-az1JL7mhmZBLFmoReK21K
    safe-0.3.17-HEmZRpXGD3s2ywM3rHJ1ur
    split-0.2.3.3-DYHuRk05Zl3FsXrGVgC4fG
    terminal-size-0.3.2.1-KN6K6Ef1GMWIEqS2qb6D5y text-1.2.3.0
    time-1.8.0.2 transformers-0.5.5.0
    uniplate-1.6.12-Hp59isLNq1v9x4rhAAI2JQ
    unordered-containers-0.2.9.0-FkHC8tkjGhFEq6gcD4EsVo
    utf8-string-1.0.1.1-LRSjvSC6FZkKPp48Qszoj8
    vector-0.12.0.1-1fezwShzdEfG3Hp1Pmvjkq
    vector-binary-instances-0.2.4-DozAADK9jE3EJNfe3MCYFT
    zip-archive-0.3.3-IKvhKFySpDaBt1jcvrYO20
    fsnotify-0.3.0.1-9w1afbDXu9gJyqo4Y7JhIN
    async-2.2.1-B6m2kYywRJu7nicgTBxsJe unix-2.7.2.2
    libffi-0.1-KciznLKKFMTLZ0dw70VJSt
abi-depends: base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             aeson-1.4.0.0-LGp6kTtgO3W1vagljwPVLq=0bddb8c122a0181e324f08c1b045cf5c
             annotated-wl-pprint-0.7.0-5EJhaPPvnKODWMqVOHKqvI=2d0cabaa15273fca18d26605362dab28
             ansi-terminal-0.8.0.4-Ll5nsATqQAoCUSOmfm7Ux8=60434811d26166e1bacacf0138207cc4
             ansi-wl-pprint-0.6.8.2-7B8xc0qlXvTAz6Bn23TdpB=3f10b2698b6bc7ef56b046a5e3421105
             array-0.5.2.0=001d57bac323829c35f5e9edd158c1ef
             base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37=6373b2ec1ae2585bcca6cddbee5d3e75
             binary-0.8.5.1=758db3c95031800de821949083b71c7f
             blaze-html-0.9.1.1-FmfwpzpXQsq7GmIv8JjDhb=2c2835e3735f87593e47c8a0635b0735
             blaze-markup-0.8.2.1-FFkiru1HsegAfMrnqJMDug=18a52ecde9bf04c66bdf9a0cefc08348
             bytestring-0.10.8.2=76943c00398d547fb172e56c2f93c635
             cheapskate-0.1.1-FWpt5ge3rjZ6aYhHGe8l3T=a96ac115f5fb3e942cc8263242b3a2c1
             code-page-0.1.3-78bf3rlibAi1l7KbTfbq3V=79049f84d9ede2f2865e34c7a6dfc923
             containers-0.5.11.0=7795138514357bd2e41eaf59b6cfce4f
             deepseq-1.4.3.0=00d8faa7363cb0be9acd709ef6549e22
             directory-1.3.1.5=e563da47c8e71ee27761a9b9d172f1ec
             filepath-1.4.2=f8b35940dbf3bb5331e1c5ab9738687d
             fingertree-0.1.4.1-Iq4vkV46zPJAkKpg70fgU4=54305f021cdc336500ef3a779ceb89ba
             haskeline-0.7.4.2=5a0ca4b6f598366f4b9d518e835471b0
             ieee754-0.8.0-KmEF4YGiqmIDu40b1SLx46=58ee7693c3f851924adb1977b480388a
             megaparsec-6.5.0-4fb3qBlRsMw28WLKMZ44M9=ba9c0b60538ce8cc8045f910869f466c
             mtl-2.2.2=3cf3b316ad8e985e039ee3b498a98253
             network-2.7.0.2-Epka4Y5CXXTKVbAZSchnya=34c8f87548d66d5af3596a33ad5000fc
             optparse-applicative-0.14.2.0-HP9LUm9H1yn1LWZqqMzXaQ=6826b8c28690283a16ba755021eeafca
             pretty-1.1.3.6=242598bba36778e604a1e89d5c7ce1a8
             process-1.6.3.0=abb0cfe39ff8617a198f540a7db854a9
             regex-tdfa-1.2.3.1-az1JL7mhmZBLFmoReK21K=5e8070c089035e31a54af0f52dd81fff
             safe-0.3.17-HEmZRpXGD3s2ywM3rHJ1ur=f24d7708a3245ecd805ff7d598d8872c
             split-0.2.3.3-DYHuRk05Zl3FsXrGVgC4fG=ea4c73c7e93df299ddc7c8e477e863d6
             terminal-size-0.3.2.1-KN6K6Ef1GMWIEqS2qb6D5y=9e8f4161238e0158818b6fad8eeb5556
             text-1.2.3.0=be4c3e1c57cff1d501eb0e876706a48d
             time-1.8.0.2=976962cc6498b843f1efb5bef740838e
             transformers-0.5.5.0=633c3e5ec737c360775b452ce9aa1e0b
             uniplate-1.6.12-Hp59isLNq1v9x4rhAAI2JQ=f010f1c6bb0d2c79f9cc8dd33b57363c
             unordered-containers-0.2.9.0-FkHC8tkjGhFEq6gcD4EsVo=64a561e4e9a96e6da50de53181f89cb1
             utf8-string-1.0.1.1-LRSjvSC6FZkKPp48Qszoj8=2191a818a7f61b012f58bd96949826c6
             vector-0.12.0.1-1fezwShzdEfG3Hp1Pmvjkq=2d4c17574909e037fa0256847c747647
             vector-binary-instances-0.2.4-DozAADK9jE3EJNfe3MCYFT=4af3da0c5bb322189526ac895cb4daad
             zip-archive-0.3.3-IKvhKFySpDaBt1jcvrYO20=0cf2cf4eed5b45cbb37cc56a2d410f09
             fsnotify-0.3.0.1-9w1afbDXu9gJyqo4Y7JhIN=49f8fb0d6eee5dec491214ed0dcdcbeb
             async-2.2.1-B6m2kYywRJu7nicgTBxsJe=64d83880768398851ddaf7518afebeee
             unix-2.7.2.2=5200b6eb79607eed6537538f20d679bf
             libffi-0.1-KciznLKKFMTLZ0dw70VJSt=92d4af8386b7a5d979b3a77c18dd1d99
haddock-interfaces: /usr/share/doc/idris/html/idris.haddock
haddock-html: /usr/share/doc/idris/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

